from profit.ui.hist_utils import fig_hist
from plot_hist_common import *
import pandas as pd
import plotly.io as pio
pio.orca.config.use_xvfb = True

data = pd.read_table(
    '/home/calbert/Downloads/sigma_gleich_1/mc_out.dat', sep=r'\s+')

nmax = -1
skip = 1
dat = {}
for n in names:
    dat[n] = data[names[n]][:nmax:skip]

cond = np.logical_and(
    np.logical_and(dat['mu_0'] >= bins['mu_0'][2],
                   dat['mu_0'] < bins['mu_0'][3]),
    np.logical_and(dat['f_Si'] >= bins['f_Si'][4],
                   dat['f_Si'] < bins['f_Si'][5])
)

for key in names:
    fig = fig_hist(dat[key], bins[key], title[key],
                   outside=outside[key], colors=colors[key])
    fig.write_image(f'fig6a_{key}.pdf')

data = pd.read_table('mc_out.dat', sep=r'\s+')
nmax = -1
skip = 1
dat = {}
for n in names:
    dat[n] = data[names[n]][:nmax:skip]
cond = np.logical_and(
    np.logical_and(dat['mu_0'] >= bins['mu_0'][2],
                   dat['mu_0'] < bins['mu_0'][3]),
    np.logical_and(dat['f_Si'] >= bins['f_Si'][4],
                   dat['f_Si'] < bins['f_Si'][5])
)

colors['mu_0'] = ('#a0a0a0', '#c8c8c8')
colors['f_Si'] = ('#a0a0a0', '#c8c8c8')
for key in names:
    fig = fig_hist(dat[key], bins[key], title[key], condi=cond,
                   outside=outside[key], colors=colors[key])
    fig.write_image(f'fig6b_{key}.pdf')
