import pandas as pd
from plot_hist_common import *
from profit.ui.hist_utils import fig_hist


files = [
    '/home/calbert/Downloads/{}/mc_out.dat'.format(k) for k in range(1997, 2002)]
labels = {
    'a': files[0],
    'b': files[1],
    'c': files[2],
    'd': files[3],
    'e': files[4],
}

for lab in labels:
    data = pd.read_table(labels[lab], sep=r'\s+')

    nmax = -1
    skip = 1
    dat = {}
    for n in names:
        dat[n] = data[names[n]][:nmax:skip]

    cond = get_cond(dat)

    for key in names:
        fig = fig_hist(dat[key], bins[key], title[key],
                       outside=outside[key], colors=colors[key])
        fig.write_image(f'fig7{lab}_{key}.pdf')
